Description: Bonjour, je cherche comment choisir une seule question dans un groupe, avec plusieurs groupes contenant

des questions trés similaires et comment I'écrire en AMC txt.

Aussi bien avec des questions a choix multiple que avec des questions ouvertes.

Je ne trouve plus dans les documents comment faire...

Merci d'avance a celle-celui qui a de bons conseils a me donner. Cordialement. Bruno

History

10/22/2021 09:41 pm - Frédéric Bréal
Je ne suis pas s(r d'avoir compris mais ma compréhension me donne comme résultat cette proposition issue du paragraphe 4.10 dans la

documentation.

<pre>

*([shuffle=true,numquestions=1] Les trois questions suivantes concernent Martin Luther King.

* En quelle année est-il né ?
- 1901
+ 1929
- 1968

* En quelle année est-il mort ?
- 1945
- 1515
+ 1968
- 1999

* Dans quelle ville est-il né ?

+ Atlanta

- Memphis

- New York

*) Fin des questions sur Martin Luther King

</pre>

11/10/2021 01:15 pm - Bruno GUGI

Bonjour, merci beaucoup a Gérard Carpeaux pour cette réponse.

Le sujet est composé de deux parties : une partie QCM et une partie Questions ouvertes.

Pour faire le sujet, j'ai donc réussi a opérer un tirage au sort d'une question dans un groupe de questions.
Avec une seule QCM et les questions ouvetes tout se passait bien.

En revanche quand j'ai essayé d'ajouter d'autres tirages au sort parmi d'autres groupes de questions, j'ai trainé des erreurs jusqu'a ce que rajoute une
ligne de baréme a chaque nouveau tirage au sort.

Est-ce nécessaire ?
J'ai vraiment la sale impression de bricoler plus que de comprendre comment faire.

Je pensais pouvoir utiliser une unique ligne de baréme pour toute la partie des QCM.

Conclusion apparemment je m'y prends mal. C'est donc une question Help please. D'avance merci.
11/10/2021 05:46 pm - Frédéric Bréal

Si cela ne correspond pas a votre structure, pourriez-vous poster votre sujet ?

<pre>
# AMC-TXT source

PaperSize: A4

Lang: FR

Title: Mon premier questionnaire

Presentation: Veuillez répondre aux questions

ci-dessous du mieux que vous pouvez.

*([shuffle=true,numquestions=1] [== Martin Luther King. ==

* En quelle année est-il né ?
- 1901
+ 1929
- 1968

* En quelle année est-il mort ?
- 1945
- 1515
+ 1968
- 1999

* Dans quelle ville est-il né ?
+ Atlanta

- Memphis

- New York

")

*([shuffle=true,numquestions=1] [== Systéme solaire ==

*<lines=4> Décrivez la Lune.
-[Cl{0} ©
PK1} P
+VI{2} vV

*<lines=4> Décrivez le Soleil.
-[Cl{0} ©
-[PH1} P
+HV){2} V

*<lines=4> Décrivez Mars
-Cl{0} ©

-[PH1} P

+[VK{2} V

")

</pre>
11/10/2021 06:13 pm - Bruno GUGI
- File Introbioch-2021-cc3-v1.txt added

Merci d'avoir répondu a ma demande.

Le document en attache est un sujet avec images je ne les ai pas neutralisées.

Les images sortent bien sur le sujet.La ou elles sont attendues.

Les questions sont réparties comme attendu.

Je réussis a avoir une page recto verso avec les questions QCM et les espaces de questions ouvertes.

Mais je me demande encore pourquoi j'ai dii reprendre la ligne de baréme a chaque groupe de questions.
Il doit y avoir un chemin plus simple non?

Merci d'avance.

11/10/2021 08:04 pm - Frédéric Bréal

Je n'utilise pas AMC-txt donc il me faut lire la documentation.

Je n'arrive pas a comprendre votre demande et sujet et j'ai une erreur de compilation (La je suis trop fatigué pour trouver la solution, je vois ¢a
demain.)

Avant, il faudrait corriger quelques points.

Il manque une virgule avant le p dans le bareme

<pre>

DefaultScoringM: formula=(NB>07?(1*NBC-NMC)/NB:NMC>070:1),p=0,v=0,e=0

</pre>

Vous pouvez mettre cette ligne de commande dans les options et supprimer les autres.

Effacer [[\newline]] et laisser une ligne blanche a la place : c'est plus lisible et c'est le code LaTeX requis.

Méme chose entre deux questions, laisser une ligne blanche pour aérer ainsi qu'avant et apres l'insertion d'une image sinon celle-ci est collée a la
phrase et la mise en page n'est pas jolie.

Ne mettez pas d'accent dans I'id des questions.

Il faut écrire group= et non Group: pour le nom des groupes.

11/11/2021 08:46 am - Frédéric Bréal

- File Introbioch-2021-cc3-v1.txt added

Le fichier compile.

11/11/2021 02:12 pm - Bruno GUGI

Merci pour cette réponse rapide et tres efficace.

01/01/2023 03:10 pm - Alexis Bienveniie

- Status changed from New to Closed

- % Done changed from 0 to 100
